std::basic_streambuf::pubimbue,std::basic_streambuf::imbue(3)

NAME
std::basic_streambuf::pubimbue,std::basic_streambuf::imbue - std::basic_streambuf::pubimbue,std::basic_streambuf::imbue

Synopsis
   std::locale pubimbue( const std::locale& loc ); (1)
   protected: (2)
   virtual void imbue( const std::locale& loc );
   Changes the associated locale.
   1) Sets loc as the associated locale. Calls imbue(loc) of the most derived class
   2) The base class version of this function has no effect. The derived classes may
   override this function in order to be informed about the changes of the locale. The
   derived class may cache the locale and member facets between calls to imbue().

Parameters
   loc - locale object to associate

Return value
   1) Previous associated locale.

Example
    This section is incomplete
    Reason: no example

See also
   getloc obtains a copy of the associated locale
          (public member function)